
Redmine - Patch #29363

Use String#tr instead of String#gsub

2018-08-12 06:07 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Performance Estimated time: 0.00 hour

Target version: 4.0.0   

Description

String#tr is more than 3 times faster than String#gsub when replacing a single character in a string with another single character.

https://github.com/JuanitoFatas/fast-ruby#stringgsub-vs-stringtr-code

Associated revisions

Revision 17469 - 2018-08-13 01:40 - Go MAEDA

Replace String#gsub with faster String#tr (#29363).

Patch by Go MAEDA.

History

#1 - 2018-08-12 11:04 - Go MAEDA

- Target version set to 4.1.0

#2 - 2018-08-13 01:40 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed.

#3 - 2018-08-13 03:01 - Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

Files

replace-gsub-with-tr.patch 3.86 KB 2018-08-12 Go MAEDA
